Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ApplicationTokenDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.ApplicationObjectDefinition
                  oracle.ifs.beans.ApplicationTokenDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ApplicationTokenDefinition

extends ApplicationObjectDefinition

A ApplicationTokenDefinition is used to create or modify a ApplicationToken instance.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`ApplicationTokenDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`ApplicationTokenDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`java.lang.Long` | `getTimeoutPeriodOption()` Gets the timeout period (milliseconds) that has been set.
`void` | `setTimeoutPeriodOption(long timeout)` Sets the timeout period (milliseconds) for the ApplicationToken.
`void` | `setTokenInfo(java.lang.String tokenInfo)` Set the Token Info.
`void` | `setTokenValue(java.lang.String tokenValue)` Set the Token value.
`static ApplicationTokenDefinition` | `toApplicationTokenDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a ApplicationTokenDefinition.
`static ApplicationTokenDefinition` | `toApplicationTokenDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a ApplicationTokenDefinition.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationTokenDefinition

    public ApplicationTokenDefinition(LibrarySessionInterface session)
                               throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be ApplicationToken.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ApplicationTokenDefinition

    public ApplicationTokenDefinition(LibrarySessionInterface session,
                                      java.lang.String className)
                               throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setTokenValue

    public void setTokenValue(java.lang.String tokenValue)
                       throws IfsException

  Description copied from class: `ApplicationTokenDefinition`
  Set the Token value.

  Parameters:
    `tokenValue` - token value to be used for the target object
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### setTokenInfo

    public void setTokenInfo(java.lang.String tokenInfo)
                      throws IfsException

  Description copied from class: `ApplicationTokenDefinition`
  Set the Token Info.

  Parameters:
    `tokenInfo` - token info to be used for the target object
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### setTimeoutPeriodOption

    public void setTimeoutPeriodOption(long timeout)
                                throws IfsException

  Description copied from class: `ApplicationTokenDefinition`
  Sets the timeout period (milliseconds) for the ApplicationToken.

  This period is added to the current time at the time the ApplicationToken is created or updated with this definition, producing the new ExpirationDate for the instance.

  Parameters:
    `timeout` - the timeout period (milliseconds)
  Throws:
    `IfsException` - if the operation fails

### getTimeoutPeriodOption

    public java.lang.Long getTimeoutPeriodOption()
                                          throws IfsException

  Description copied from class: `ApplicationTokenDefinition`
  Gets the timeout period (milliseconds) that has been set.

  Returns:
    the timeout period value, or null if not set
  Throws:
    `IfsException` - if the operation fails

### toApplicationTokenDefinition

    public static ApplicationTokenDefinition toApplicationTokenDefinition(LibraryObjectDefinition lodef)
                                                                   throws IfsException

  Description copied from class: `ApplicationTokenDefinition`
  Cast specified LibraryObjectDefinition to a ApplicationTokenDefinition.

  Return null if the specified definition is not a ApplicationTokenDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a ApplicationTokenDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toApplicationTokenDefinition

    public static ApplicationTokenDefinition toApplicationTokenDefinition(LibraryObjectDefinition lodef,
                                                                          boolean enforceCompat)
                                                                   throws IfsException

  Description copied from class: `ApplicationTokenDefinition`
  Cast specified LibraryObjectDefinition to a ApplicationTokenDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a ApplicationTokenDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a ApplicationTokenDefinition casted from the specified definition
  Throws:
    `IfsException` - 10822: if the operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD